package top.r3944realms.lib39.example.content.data;

import net.minecraft.resources.Identifier;
import net.minecraft.world.entity.Entity;
import top.r3944realms.lib39.core.sync.SyncLookupProvider;

/**
 * The type Fabric test sync lookup provider.
 */
public class FabricTestSyncLookupProvider extends SyncLookupProvider<AbstractedTestSyncData> {
    /**
     * The constant INSTANCE.
     */
    public static final FabricTestSyncLookupProvider INSTANCE = new FabricTestSyncLookupProvider();

    @Override
    protected AbstractedTestSyncData createEmptyLookup(Entity entity) {
        return new FabricTestSyncData(entity);
    }

    @Override
    protected Identifier getId() {
        return FabricTestSyncData.ID;
    }
}
